Package org.apache.sysds.runtime.matrix.data.sketch

# Class MatrixSketchFactory

java.lang.Object
org.apache.sysds.runtime.matrix.data.sketch.MatrixSketchFactory

public class MatrixSketchFactory extends Object

## Constructor Summary

Constructors
Constructor
Description
`MatrixSketchFactory()`

## Method Summary

Modifier and Type
Method
Description
`static MatrixSketch`
`get(Operator op)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MatrixSketchFactory

public MatrixSketchFactory()

## Method Details

### get

public static MatrixSketch get(Operator op)